Subject: Re: bug#29705: Java packages need to retain references

From: Gábor Boskovits <[email-masked]>
Date: Thu, 14 Dec 2017 08:07:13 +0100

Would it be enough if we added the uncompressed manifest?
Is there any drawback to that?

2017-12-13 23:28 GMT+01:00 Ricardo Wurmus <[email-masked]>:

> I installed the “axoloti-patcher” package today after “guix gc” and
> noticed that not all dependencies are available at runtime.  Upon
> running the “Axoloti” command I got this error:
>
>     Exception in thread "AWT-EventQueue-0" java.lang.UnsatisfiedLinkError:
> Can't load library: /gnu/store/nrx5nmwynmsl7aqxdpgwpsm8ff9b0h
> 4d-libusb4java-0-1.396d642a5/lib/libusb4java.so
>
> The store item does not exist.
>
> The problem here is that jar archives are compressed and thus any
> references they contain are thus hidden from the scanner.
>
> I don’t know if it is feasible to disable compression for jar files, or
> if we should install a “.guix-dependencies” file that contains plain
> text references.
>
> I’ll investigate disabling compression first.
>
> --
> Ricardo
>
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net
>
>
>
>
>